.\"	$NetBSD: grful.4,v 1.5 2003/03/31 18:27:15 perry Exp $
.\"
.\" Copyright (c) 1997 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 20, 1997
.Dt GRFUL 4 amiga
.Os
.Sh NAME
.Nm grful
.Nd 8-bit color graphics driver
.Sh SYNOPSIS
.Cd "grful* at zbus0"
.Cd "grf4 at grful?"
.Cd "ite4 at grf4"
.Sh DESCRIPTION
The
.Nm
is a driver for the A2410, a TMS34010 based color graphics board.
It supports the minimal ioctl's needed to run X11, but doesn't provide
a mappable framebuffer, so special X servers are needed.
.br
A standard ITE terminal emulator is supported on one of the overlay planes.
.Sh HARDWARE
The
.Nm
interface supports the following ZorroII expansion card:
.Bl -tag -width "xxxxx" -offset indent
.It Em A2410
A Zorro II only card with the TMS34010 processor. From the University
of Lowell, manufacturer 1030, product 0.
.El
.Sh FILES
.Bl -tag -width "xxxxxxxxxxx" -compact
.It Pa /dev/grf4
graphics interface special file
.It Pa /dev/grfim4
graphics interface special file for accessing images
.It Pa /dev/grfov4
graphics interface special file for overlays
.It Pa /dev/ttye4
console interface special file for the internal terminal emulator
.El
.Sh SEE ALSO
.Xr console 4 ,
.Xr ite 4 ,
.Xr grfconfig 8
.Sh HISTORY
The
.Nm
interface first appeared in
.Nx 1.1 .
.Sh BUGS
.Nm
does not allow setting graphics modes with
.Xr grfconfig 8 .
